#ifndef POLL_CAST_H
#define POLL_CAST_H

#define POLL_IDLE 0
#define POLL_STARTED 1
#define POLL_WAITING_VOTE 2
#define POLL_SENDING_VOTE 3

#define RESULT_NO_VOTE 0
#define RESULT_SINGLE_VOTE 1
#define RESULT_MULTIPLE_VOTES 2

#define POLL_MSG_POLL 0
#define POLL_MSG_VOTE 2

#ifndef VOTE_DURATION
	#define VOTE_DURATION 12
#endif

#ifndef MAX_VOTE_ROUNDS
	#define MAX_VOTE_ROUNDS 5
#endif

enum
{
	AM_POLLMSG = 5
};
// this extra constant is to make it work with the mig parser nothing else
enum
{
	AM_POLLCASTMSG = 5
};

typedef nx_struct PollCastMsg
{
	nx_uint16_t src; // ID of source node
	nx_uint8_t type; // see POLL_MSG_* for valid values
	nx_uint16_t senderID; // id of the poll initiator 0 for unknown 
	nx_uint8_t pollID; // together with src creates a unique id for poll
	nx_uint8_t pollType; // defined when poll is created
	nx_uint8_t vote_rounds; // number of vote rounds
	nx_uint16_t vote_prob; // probability of voting in each round (in 1:1000 units 0:0 units)
	nx_uint8_t data[16]; // dummy padding reserved for future use
} PollCastMsg;


#endif
